Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# ImageResampleC Class Reference

Image Resampler class. More...

`#include <ImageResampleC.h>`

List of all members.

## Static Public Member Functions
bool | resample_nearest (PajaTypes::uint32 ui32Bpp, PajaTypes::uint8 *pSrcData, PajaTypes::uint32 ui32SrcWidth, PajaTypes::uint32 ui32SrcHeight, PajaTypes::uint8 *pDstData, PajaTypes::uint32 ui32DstWidth, PajaTypes::uint32 ui32DstHeight)
| Nearest interpolation.
bool | resample_bilinear (PajaTypes::uint32 ui32Bpp, PajaTypes::uint8 *pSrcData, PajaTypes::uint32 ui32SrcWidth, PajaTypes::uint32 ui32SrcHeight, PajaTypes::uint8 *pDstData, PajaTypes::uint32 ui32DstWidth, PajaTypes::uint32 ui32DstHeight)
| Bilinear interpolation.

## Detailed Description

Image Resampler class.

Image resampler class provides static methods to reample images. There are two methods, the first uses nearest resampled pixels, and the second uses bi-linear interpolation to decide smooth pixel values.

Both filters expect that the source and destination data buffers are allocated and valid. The Bits per pixel can be 8, 24, or 32.

## Member Function Documentation

bool resample_bilinear | ( | PajaTypes::uint32 | ui32Bpp,
|  | PajaTypes::uint8 * | pSrcData,
|  | PajaTypes::uint32 | ui32SrcWidth,
|  | PajaTypes::uint32 | ui32SrcHeight,
|  | PajaTypes::uint8 * | pDstData,
|  | PajaTypes::uint32 | ui32DstWidth,
|  | PajaTypes::uint32 | ui32DstHeight
| ) | `[static]`

| Bilinear interpolation.

bool resample_nearest | ( | PajaTypes::uint32 | ui32Bpp,
|  | PajaTypes::uint8 * | pSrcData,
|  | PajaTypes::uint32 | ui32SrcWidth,
|  | PajaTypes::uint32 | ui32SrcHeight,
|  | PajaTypes::uint8 * | pDstData,
|  | PajaTypes::uint32 | ui32DstWidth,
|  | PajaTypes::uint32 | ui32DstHeight
| ) | `[static]`

| Nearest interpolation.